Cannot find the plugin handler for TVirtualStreamerInfo!
Status: Closed Start date: 07/20/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Hello,

trying to install the ctools-1.7.0 using installation method from source

code, I get the following message when performing the "make check" in ctools

directory :

 

Test csroot2caldb from Python: Fatal in &lt;TVirtualStreamerInfo::Factory&gt;: Cannot find the plugin handler for    

 TVirtualStreamerInfo! However $ROOTSYS/etc/plugins/TVirtualStreamerInfo is accessible, Check the content of this directory!

  aborting

  Aborted (core dumped)

  FAIL test_python_cscripts.sh (exit status: 134)

.../...

 

The content of $ROOTSYS/etc/plugins/TVirtualStreamerInfo is :

 

[landriu@sapcta] ~ > ls $ROOSTSYS/etc/plugins/TVirtualStreamerInfo

P010_TStreamerInfo.C

.../...

Do you see where the problem is ?

 

Thank you for your help

History

#1 - 07/20/2020 04:07 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

This seems to be an issue with your root installation and is not related to ctools. See for example 

https://root-forum.cern.ch/t/fatal-in-tvirtualstreamerinfo-factory-cannot-find-the-plugin-handler-for-tvirtualstreamerinfo/20272.

The root version I'm using on my Mac is 5.34/34. You may check whether a different root installation works for you.

#2 - 07/20/2020 04:16 PM - Landriu David

Hello Jürgen,

in fact the ROOTSYS is defined here as ROOT/v5.34.34. It is the version we use
https://root-forum.cern.ch/t/fatal-in-tvirtualstreamerinfo-factory-cannot-find-the-plugin-handler-for-tvirtualstreamerinfo/20272


for Fermi computations.

 

Do you know if this plugin is well installed when the directory has only this file :

P010_TStreamerInfo.C

 

in which no main() is defined, so I do not see how to apply the solution of CERN page ..

 

Cheers,

David

#3 - 07/20/2020 05:36 PM - Knödlseder Jürgen

I have really no clue.

ROOT is in fact only used by the csroot2caldb script in ctools that converts an IRF derived by the MC group from a ROOT file into a FITS file.

In case you do not need this, and if you cannot fix the issue, you may simply comment the lines:

import test_csobs2caldb

and

test_csobs2caldb.Test(),

in test/test_python_cscripts.py.

#4 - 07/21/2020 12:12 PM - Landriu David

Hello Jürgen,

this solution works.
../..

PASS: test_python_ctools.sh

PASS: test_python_cscripts.sh

PASS: test_examples.py ============================================================================

Testsuite summary for ctools 1.7.0 ============================================================================

1. TOTAL: 3

2. PASS:  3

3. SKIP:  0

4. XFAIL: 0

5. FAIL:  0

6. XPASS: 0

7. ERROR: 0

../..

It can be accepted because it seems ROOT is not mainly used for this purpose.

 

Thank you very much,

David

#5 - 05/02/2021 12:30 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 10 to 100
